#
# spec file for package hylafax (Version 6.0.5)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Portions Copyright (c) 2009 Johannes Engel <jcnengel@googlemail.com>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:		hylafax
BuildRequires:	gcc-c++ ghostscript-library libpng-devel libtiff-devel metamail mm postfix pwdutils
License:	X11/MIT
Group:		Hardware/Fax
Provides:	fax_daemon
Requires:	tiff gs_lib smtp_daemon a2ps %{name}-client
Recommends:	cron
Conflicts:	sendfax
Version:	6.0.5
Release:	33.16
Source:         %{name}-%{version}.tar.bz2
Source1:        latex-cover-1.0.8.tar.bz2
Source2:        %{name}-openSUSE.tar.bz2
Patch:          %{name}-6.0.2.diff
Patch1:         %{name}-6.0.2-i4l.diff
Patch2:         %{name}-6.0.4-pic.diff
Patch3:         %{name}-6.0.2-user.diff
Patch5:		%{name}-6.0.2-initscript.diff
Patch6:		%{name}-6.0.5_fax2mail.diff
Url:            http://www.hylafax.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Very Powerful Fax Server
PreReq:         sh-utils fileutils %insserv_prereq %fillup_prereq %{_sbindir}/useradd %{_sbindir}/usermod

%description
Very powerful fax server.



Authors:
--------
    Sam Leffler <sam@engr.sgi.com>

%package -n %{name}-client
License:        X11/MIT
Group:          Hardware/Fax
Conflicts:      sendfax
AutoReqProv:    on
Summary:        Linux client package for the Hylafax server

%description -n %{name}-client
This is linux client part of the very powerful Hylafax fax server. If
you already run the Hylafax fax server on an other machine at your
network, you can use this package to access the server.



Authors:
--------
    Sam Leffler <sam@engr.sgi.com>

%package -n lib%{name}-6_0-5
License:        X11/MIT
Group:          System/Libraries
Summary:        Library for HylaFAX

%description -n lib%{name}-6_0-5
This is linux client part of the very powerful Hylafax fax server. If
you already run the Hylafax fax server on an other machine at your
network, you can use this package to access the server.



Authors:
--------
    Sam Leffler <sam@engr.sgi.com>


%prep
%setup -q -n %{name}-%{version} -a 1 -a 2
%patch
%patch1 -p1
%patch2
%patch3
%patch5
%patch6
%ifarch x86_64
mv openSUSE/usr/lib openSUSE/usr/lib64
%endif
# need to be executable 
chmod 755 openSUSE%{_libdir}/fax/a2pswrap
find ../ -name .cvsignore -exec rm {} \;

%build
%{?suse_update_config:%{suse_update_config -f}}
./configure --with-OPTIMIZER="$RPM_OPT_FLAGS" --with-STRIP=: \
            ${RPM_ARCH}-suse-linux < /dev/null
make

%install
install -d ${RPM_BUILD_ROOT}/var/spool/hylafax
install -d ${RPM_BUILD_ROOT}%{_libdir}
install -d ${RPM_BUILD_ROOT}%{_mandir}
install -d ${RPM_BUILD_ROOT}/etc/init.d
make install BIN=${RPM_BUILD_ROOT}%{_bindir} LIBDATA=${RPM_BUILD_ROOT}%{_libdir}/fax \
             LIBEXEC=${RPM_BUILD_ROOT}%{_libdir}/fax SBIN=${RPM_BUILD_ROOT}%{_sbindir} \
	     SPOOL=${RPM_BUILD_ROOT}/var/spool/hylafax MAN=${RPM_BUILD_ROOT}%{_mandir}\
	     DESTDIR=${RPM_BUILD_ROOT} \
	     LIBDIR=${RPM_BUILD_ROOT}%{_libdir}
install -m755 etc/hylafax ${RPM_BUILD_ROOT}/etc/init.d
ln -sf ../../etc/init.d/hylafax ${RPM_BUILD_ROOT}%{_sbindir}/rchylafax
cp -af openSUSE/* ${RPM_BUILD_ROOT}
rm -f ${RPM_BUILD_ROOT}/README.SuSE
install -m755 faxsend ${RPM_BUILD_ROOT}/var/spool/hylafax/bin/
install -d ${RPM_BUILD_ROOT}%{_defaultdocdir}/hylafax
mv ${RPM_BUILD_ROOT}%{_libdir}/fax/faxcover_example_sgi.ps ${RPM_BUILD_ROOT}%{_defaultdocdir}/hylafax

%pre
%{_sbindir}/useradd -r -o -g uucp -u 33 -s /bin/bash -c "Facsimile agent" -d /var/spool/hylafax fax 2> /dev/null || :
%{_sbindir}/usermod -g uucp -G dialout fax 2> /dev/null || :

%post
/bin/chown -f -R fax var/spool/hylafax/*
%{fillup_and_insserv hylafax}
ldconfig

%preun
%stop_on_removal %{name}

%postun
%{insserv_cleanup}
/sbin/ldconfig

%post -n hylafax-client
/sbin/ldconfig

%postun -n hylafax-client
/sbin/ldconfig

%post -n lib%{name}-6_0-5
/sbin/ldconfig

%postun -n lib%{name}-6_0-5
/sbin/ldconfig

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && [ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};

%files
%defattr(-, root, root)
%doc COPYRIGHT README openSUSE/README.SuSE TODO VERSION latex-cover-1.08
%config /etc/init.d/hylafax
%dir %{_libdir}/fax
%attr(700,root,root) /etc/cron.daily/suse.de-faxcron
%{_libdir}/fax/faxgetty
%{_libdir}/fax/faxsend
%{_libdir}/fax/hfaxd
%config(noreplace) %{_libdir}/fax/hfaxd.conf
%{_libdir}/fax/lockname
%{_libdir}/fax/ondelay
%{_libdir}/fax/pagesend
%doc %{_mandir}/man5/hylafax-config.5f.gz
%doc %{_mandir}/man5/doneq.5f.gz
%doc %{_mandir}/man5/dialrules.5f.gz
%doc %{_mandir}/man5/hosts.hfaxd.5f.gz
%doc %{_mandir}/man5/hylafax-server.5f.gz
%doc %{_mandir}/man5/hylafax-info.5f.gz
%doc %{_mandir}/man5/hylafax-log.5f.gz
%doc %{_mandir}/man5/pagermap.5f.gz
%doc %{_mandir}/man5/pagesizes.5f.gz
%doc %{_mandir}/man5/recvq.5f.gz
%doc %{_mandir}/man5/sendq.5f.gz
%doc %{_mandir}/man5/hylafax-shutdown.5f.gz
%doc %{_mandir}/man5/status.5f.gz
%doc %{_mandir}/man5/tsi.5f.gz
%doc %{_mandir}/man5/typerules.5f.gz
%doc %{_mandir}/man5/xferfaxlog.5f.gz
%doc %{_mandir}/man8/choptest.8c.gz
%doc %{_mandir}/man8/cqtest.8c.gz
%doc %{_mandir}/man8/dialtest.8c.gz
%doc %{_mandir}/man8/faxabort.8c.gz
%doc %{_mandir}/man8/faxaddmodem.8c.gz
%doc %{_mandir}/man8/faxadduser.8c.gz
%doc %{_mandir}/man8/faxanswer.8c.gz
%doc %{_mandir}/man8/faxconfig.8c.gz
%doc %{_mandir}/man8/faxcron.8c.gz
%doc %{_mandir}/man8/faxdeluser.8c.gz
%doc %{_mandir}/man8/faxgetty.8c.gz
%doc %{_mandir}/man8/faxinfo.8c.gz
%doc %{_mandir}/man8/faxlock.8c.gz
%doc %{_mandir}/man8/faxmodem.8c.gz
%doc %{_mandir}/man8/faxq.8c.gz
%doc %{_mandir}/man8/faxqclean.8c.gz
%doc %{_mandir}/man8/faxquit.8c.gz
%doc %{_mandir}/man8/faxrcvd.8c.gz
%doc %{_mandir}/man8/faxsend.8c.gz
%doc %{_mandir}/man8/faxsetup.8c.gz
%doc %{_mandir}/man8/faxstate.8c.gz
%doc %{_mandir}/man8/faxwatch.8c.gz
%doc %{_mandir}/man8/hfaxd.8c.gz
%doc %{_mandir}/man8/jobcontrol.8c.gz
%doc %{_mandir}/man8/mkcover.8c.gz
%doc %{_mandir}/man8/notify.8c.gz
%doc %{_mandir}/man8/pagesend.8c.gz
%doc %{_mandir}/man8/pollrcvd.8c.gz
%doc %{_mandir}/man8/pdf2fax.8c.gz
%doc %{_mandir}/man8/ps2fax.8c.gz
%doc %{_mandir}/man8/recvstats.8c.gz
%doc %{_mandir}/man8/tagtest.8c.gz
%doc %{_mandir}/man8/tiff2fax.8c.gz
%doc %{_mandir}/man8/tiffcheck.8c.gz
%doc %{_mandir}/man8/tsitest.8c.gz
%doc %{_mandir}/man8/wedged.8c.gz
%doc %{_mandir}/man8/xferfaxstats.8c.gz
%{_sbindir}/choptest
%{_sbindir}/cqtest
%{_sbindir}/dialtest
%{_sbindir}/faxabort
%{_sbindir}/faxaddmodem
%{_sbindir}/faxadduser
%{_sbindir}/faxanswer
%{_sbindir}/faxconfig
%config(noreplace) %attr(700,root,root) %{_sbindir}/faxcron
%{_sbindir}/faxdeluser
%{_sbindir}/faxinfo
%{_sbindir}/faxlock
%{_sbindir}/faxmodem
%{_sbindir}/faxmsg
%{_sbindir}/faxq
%{_sbindir}/faxqclean
%{_sbindir}/faxquit
%{_sbindir}/faxsetup
%{_sbindir}/faxsetup.bsdi
%{_sbindir}/faxsetup.irix
%{_sbindir}/faxsetup.linux
%{_sbindir}/faxstate
%{_sbindir}/faxwatch
%{_sbindir}/probemodem
%{_sbindir}/rchylafax
%{_sbindir}/recvstats
%{_sbindir}/tagtest
%{_sbindir}/tiffcheck
%{_sbindir}/tsitest
%{_sbindir}/typetest
%{_sbindir}/xferfaxstats
%defattr(-,fax,uucp)
%dir /var/spool/hylafax
%dir /var/spool/hylafax/archive
%dir /var/spool/hylafax/bin
%attr(0755,root,root) /var/spool/hylafax/bin/*
%dir /var/spool/hylafax/client
%dir /var/spool/hylafax/config
/var/spool/hylafax/config/*
%dir /var/spool/hylafax/dev
%dir /var/spool/hylafax/docq
%dir /var/spool/hylafax/doneq
%dir /var/spool/hylafax/etc
%config(noreplace) /var/spool/hylafax/etc/cover.templ
%config(noreplace) /var/spool/hylafax/etc/dialrules
%config(noreplace) /var/spool/hylafax/etc/dialrules.europe
%config(noreplace) /var/spool/hylafax/etc/dialrules.sf-ba
%config(noreplace) /var/spool/hylafax/etc/dpsprinter.ps
%config(noreplace) /var/spool/hylafax/etc/hosts.hfaxd
%config(noreplace) /var/spool/hylafax/etc/lutRS18.pcf
%config(noreplace) /var/spool/hylafax/etc/xferfaxlog
%config(noreplace) /var/spool/hylafax/etc/users
/var/spool/hylafax/etc/templates/
%dir /var/spool/hylafax/info
%dir /var/spool/hylafax/log
%dir /var/spool/hylafax/pollq
%dir /var/spool/hylafax/recvq
%dir /var/spool/hylafax/sendq
%dir /var/spool/hylafax/status
%dir /var/spool/hylafax/tmp
/var/spool/hylafax/COPYRIGHT
/var/spool/hylafax/FIFO

%files -n hylafax-client
%defattr(-, root, root)
%{_bindir}/faxalter
%{_bindir}/faxcover
%{_bindir}/faxmail
%{_bindir}/faxrm
%{_bindir}/faxstat
%{_bindir}/sendfax
%{_bindir}/sendpage
%dir %{_libdir}/fax
%{_libdir}/fax/a2pswrap
%config %{_libdir}/fax/faxcover.ps
%{_libdir}/fax/faxmail.ps
%config %{_libdir}/fax/pagesizes
%config(noreplace) %{_libdir}/fax/sendfax.conf
%{_libdir}/fax/textfmt
%{_libdir}/fax/typetest
%config %{_libdir}/fax/typerules
%{_sbindir}/edit-faxcover
%doc %{_mandir}/man1/edit-faxcover.1.gz
%doc %{_mandir}/man1/faxalter.1.gz
%doc %{_mandir}/man1/faxcover.1.gz
%doc %{_mandir}/man1/faxmail.1.gz
%doc %{_mandir}/man1/faxrm.1.gz
%doc %{_mandir}/man1/faxstat.1.gz
%doc %{_mandir}/man1/hylafax-client.1.gz
%doc %{_mandir}/man1/sendfax.1.gz
%doc %{_mandir}/man1/sendpage.1.gz
%doc %{_mandir}/man1/sgi2fax.1.gz
%doc %{_mandir}/man1/textfmt.1.gz

%files -n lib%{name}-6_0-5
%defattr(-,root,root)
%{_libdir}/lib%{name}*

%changelog
* Sat Jan 22 2011 Carsten Schoene <cs@linux-administrator.com> - 6.0.5-30
- update to release 6.0.5

* Sun Jan 10 2010 Carsten Schoene <cs@linux-administrator.com> - 6.0.4-26
- update to release 6.0.4
